package com.realnet.stepperworkflow.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.stepperworkflow.Entity.Stepper_table_config;
import com.realnet.stepperworkflow.Services.Stepper_table_configService ;






@RequestMapping(value = "/Stepper_table_config")
 @CrossOrigin("*") 
@RestController
public class Stepper_table_configController {
	@Autowired
	private Stepper_table_configService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Stepper_table_config")
		  public Stepper_table_config Savedata(@RequestBody Stepper_table_config data) {
		Stepper_table_config save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Stepper_table_config/{id}")
	public  Stepper_table_config update(@RequestBody Stepper_table_config data,@PathVariable Integer id ) {
		Stepper_table_config update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Stepper_table_config/getall/page")
	public Page<Stepper_table_config> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Stepper_table_config> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Stepper_table_config")
	public List<Stepper_table_config> getdetails() {
		 List<Stepper_table_config> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Stepper_table_config")
	public List<Stepper_table_config> getallwioutsec() {
		 List<Stepper_table_config> get = Service.getdetails();		
		return get;
}
@GetMapping("/Stepper_table_config/{id}")
	public  Stepper_table_config  getdetailsbyId(@PathVariable Integer id ) {
		Stepper_table_config  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Stepper_table_config/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}